Main Page Widgets Namespaces Book

# Gtk::ToggleButton Class Reference
[Widgets]

A Gtk::ToggleButton will remain 'pressed-in' when clicked. More...

Inheritance diagram for Gtk::ToggleButton:

[legend]
List of all members.

## Public Methods

virtual | ~ToggleButton ()
GtkToggleButton* | gobj ()
const GtkToggleButton* | gobj () const
| ToggleButton ()
| Create an empty toggle button.
| ToggleButton (const Glib::ustring& label, bool mnemonic=false)
| Create a toggle button with a label.
void | set_mode (bool draw_indicator=true)
bool | get_mode () const
| Retrieves whether the button is displayed as a separate indicator and label.
void | set_active (bool is_active=true)
bool | get_active () const
void | set_inconsistent (bool setting=true)
| If the user has selected a range of elements (such as some text or spreadsheet cells) that are affected by a toggle button, and the current values in that range are inconsistent, you may want to display the toggle in an "in between" state.
bool | get_inconsistent () const
| Gets the value set by set_inconsistent().
void | toggled ()
Glib::SignalProxy0<void> | signal_toggled ()
Glib::PropertyProxy<bool> | property_active ()
Glib::PropertyProxy<bool> | property_inconsistent ()
Glib::PropertyProxy<bool> | property_draw_indicator ()

## Protected Methods

virtual void | on_toggled ()

## Related Functions

(Note that these are not member functions.)
Gtk::ToggleButton* | wrap (GtkToggleButton* object, bool take_copy=false)

## Detailed Description

A Gtk::ToggleButton will remain 'pressed-in' when clicked.

Clicking again will cause the toggle button to return to it's normal state. The state of a Gtk::ToggleButton can be set specifically using set_active(), and retrieved using get_active(). To simply switch the state of a toggle button, use toggled().

## Constructor & Destructor Documentation

virtual Gtk::ToggleButton::~ToggleButton | ( |  | ) | `[virtual]`

Gtk::ToggleButton::ToggleButton | ( |  | ) |

| Create an empty toggle button. With an empty button, you can Gtk::Button::add() a widget such as a Gtk::Pixmap or Gtk::Box. If you just wish to add a Gtk::Label, you may want to use the Gtk::ToggleButton(const Glib::ustring& label) constructor directly instead.

Gtk::ToggleButton::ToggleButton | ( | const Glib::ustring& | label,
|  | bool | mnemonic = false
| ) | `[explicit]`

| Create a toggle button with a label. You won't be able to add a widget to this button since it already contains a Gtk::Label

## Member Function Documentation

bool Gtk::ToggleButton::get_active | ( |  | ) |

bool Gtk::ToggleButton::get_inconsistent | ( |  | ) |

Gets the value set by set_inconsistent().

Returns:
  `true` if the button is displayed as inconsistent, `false` otherwise.

bool Gtk::ToggleButton::get_mode | ( |  | ) |

Retrieves whether the button is displayed as a separate indicator and label.

See set_mode().

Returns:
  `true` if the togglebutton is drawn as a separate indicator and label.

const GtkToggleButton* Gtk::ToggleButton::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Gtk::Button. Reimplemented in Gtk::CheckButton, and Gtk::RadioButton.

GtkToggleButton* Gtk::ToggleButton::gobj | ( |  | ) | `[inline]`

| Reimplemented from Gtk::Button. Reimplemented in Gtk::CheckButton, and Gtk::RadioButton.

virtual void Gtk::ToggleButton::on_toggled | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy<bool> Gtk::ToggleButton::property_active | ( |  | ) |

Glib::PropertyProxy<bool> Gtk::ToggleButton::property_draw_indicator | ( |  | ) |

Glib::PropertyProxy<bool> Gtk::ToggleButton::property_inconsistent | ( |  | ) |

void Gtk::ToggleButton::set_active | ( | bool | is_active = true | ) |

void Gtk::ToggleButton::set_inconsistent | ( | bool | setting = true | ) |

If the user has selected a range of elements (such as some text or spreadsheet cells) that are affected by a toggle button, and the current values in that range are inconsistent, you may want to display the toggle in an "in between" state.

This function turns on "in between" display. Normally you would turn off the inconsistent state again if the user toggles the toggle button. This has to be done manually, set_inconsistent() only affects visual appearance, it doesn't affect the semantics of the button.

Parameters:

  setting | `true` if state is inconsistent.

void Gtk::ToggleButton::set_mode | ( | bool | draw_indicator = true | ) |

Glib::SignalProxy0<void> Gtk::ToggleButton::signal_toggled | ( |  | ) |

Prototype:
  `void toggled()`

void Gtk::ToggleButton::toggled | ( |  | ) |

## Friends And Related Function Documentation

Gtk::ToggleButton* wrap | ( | GtkToggleButton* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- togglebutton.h